> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/glue-reference/multi-platform/glue-reference-ios/ios-certificates-and-profiles.md).

# Certificates and Profiles

{% hint style="warning" %}
**iOS projects cannot currently be created** — see the [iOS](/flatredball/glue-reference/multi-platform/glue-reference-ios.md) page for why.
{% endhint %}

### Introduction

iOS development requires the use of Provisioning Profiles to deploy to iOS hardware, either for development or for final distribution. This section will discuss how to create and use provisioning profiles.

For information on using provisioning profiles, see [this page](http://developer.xamarin.com/guides/ios/getting_started/installation/device_provisioning/).

### Troubleshooting

The provisioning profile is error prone due to its complexity. If you are unable to get things to work here are some things to try:

#### Verify Bundle Identifier

Provisioning profiles are tied to a certain bundle identifier. Verify that the bundle identifier of your app matches the bundle identifier in the provisioning profile.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flatredball.com/flatredball/glue-reference/multi-platform/glue-reference-ios/ios-certificates-and-profiles.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
